statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Normal

Contents

- Constructors

Description

The normal distribution. This is a continuous probability distribution that describes data that cluster around a mean.

Synopsis

- data NormalDistribution
- normalDistr :: Double -> Double -> NormalDistribution
- normalFromSample :: Sample -> NormalDistribution
- standard :: NormalDistribution

# Documentation

data NormalDistribution Source

The normal distribution.

Instances

Eq NormalDistribution |
Read NormalDistribution |
Show NormalDistribution |
Typeable NormalDistribution |
ContGen NormalDistribution |
Variance NormalDistribution |
MaybeVariance NormalDistribution |
Mean NormalDistribution |
MaybeMean NormalDistribution |
ContDistr NormalDistribution |
Distribution NormalDistribution |

# Constructors

normalDistr Source

Arguments

:: Double | Mean of distribution
-> Double | Standard deviation of distribution
-> NormalDistribution |

Create normal distribution from parameters.

IMPORTANT: prior to 0.10 release second parameter was variance not standard deviation.

normalFromSample :: Sample -> NormalDistribution Source

Create distribution using parameters estimated from sample. Variance is estimated using maximum likelihood method (biased estimation).

standard :: NormalDistribution Source

Standard normal distribution with mean equal to 0 and variance equal to 1